Loading...
Searching...
No Matches
Dune::Functions::Concept::Callable< Args > Struct Template Reference
Functions » Function concepts

Concept objects that can be called with given argument list. More...

`#include <dune/functions/common/functionconcepts.hh>`

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(f(std::declval< Args >()...))

## Detailed Description

template<class... Args>
struct Dune::Functions::Concept::Callable< Args >

Concept objects that can be called with given argument list.

Template Parameters

  Args | Argument list for function call

## Member Function Documentation

## require()

template<class... Args>
template<class F>

auto Dune::Functions::Concept::Callable< Args >::require | ( | F && | f | ) | ->decltype(f(std::declval< Args >()...))

The documentation for this struct was generated from the following file:

- functionconcepts.hh